<%@ page contentType="text/html" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<c:if test="${empty student}">
  <jsp:forward page="studentWelcome.jsp"/>
</c:if>
<!--  adopt any newly-set room no -->
<c:if test="!empty param.room}">
<c:set target="${student}" property="roomNo" value="${param.room}"/>
</c:if>
<!-- if no room number after param processing, start over -->
<c:if test="${student.roomNo == 0}">
  <jsp:forward page="studentWelcome.jsp"/>
</c:if>
<html>
  <head>   
    <title>Order Status</title>
  </head>
  <body>
    Status report for room ${student.roomNo} <br/><br/>
    <!--Since we call the BL to get student.status report, we can avoid
     a second call to the BL by setting up a local variable for curStatus
     and using it twice -->
    <c:set var="curStatus" value="${student.status}"/>
    <c:if test="${empty curStatus}">
    	No orders for room ${student.roomNo}
    </c:if>   
    
    <!-- The following displays nothing if there are no orders -->
    <c:forEach items="${curStatus}" var="order">
       Order for room ${order.roomNumber}: size ${order.pizzaSize.sizeName}, status ${order.statusString} <br/>
       Toppings:
       <c:forEach var="top" items="${order.toppings}">
          ${top.toppingName}
       </c:forEach> 
       <br/><br/>
    </c:forEach>
     <br>
    <br>
    <c:url var="studentWelcomeURL" value="studentWelcome.jsp" />
    <A HREF="${studentWelcomeURL}"> Back to Homepage</A> 
  </body>
</html>
