package pizza.dao;

import org.hibernate.Session;

import pizza.domain.PizzaSize;
import pizza.domain.Topping;
import pizza.domain.SysTime;

public class AdminDAO {
	
	private DbDAO dbDAO;
    
	public AdminDAO(DbDAO db) {
		dbDAO = db;
	}
	
	public void createTopping(String toppingName)  {
		Topping top = new Topping(0,toppingName);
		Session session = dbDAO.getSession();
		session.save(top);
	}

	public void createPizzaSize(String sizeName) {
		PizzaSize size = new PizzaSize(-1, sizeName);
		Session session = dbDAO.getSession();
		session.save(size);
	}
	
	public void deleteTopping(int toppingId)
	{
		Session session = dbDAO.getSession();
		Topping top = (Topping)session.load(Topping.class, toppingId);
		session.delete(top);
	}
	
	public void deletePizzaSize(int sizeId) 
	{
		Session session = dbDAO.getSession();
		PizzaSize size = (PizzaSize)session.load(PizzaSize.class, sizeId);
		session.delete(size);
	}
	
	// SysTime access methods--
	public int findCurrentDay() 
	{
		Session session = dbDAO.getSession();
		SysTime sysTab = (SysTime)session.load(SysTime.class, 1);
		return sysTab.getCurrentDay();
	}
	
	public int findLastReportDay() 
	{
		Session session = dbDAO.getSession();
		SysTime sysTab = (SysTime)session.load(SysTime.class, 1);
		return sysTab.getLastReport();
	}
	
	public void advanceDay()
	{
		Session session = dbDAO.getSession();
		SysTime sysTab = (SysTime)session.load(SysTime.class, 1);
		sysTab.setCurrentDay(sysTab.getCurrentDay() + 1);
	}
	
	public void updateLastReportDate(int lastReportDay) 
	{
		Session session = dbDAO.getSession();
		SysTime sysTab = (SysTime)session.load(SysTime.class, 1);
		sysTab.setLastReport(lastReportDay);
	}

}
