package pizza.presentation.clientserver;
import java.io.BufferedReader;
import java.io.IOException;
import java.io.PrintStream;
import java.util.List;
import pizza.domain.PizzaOrder;
import pizza.domain.Topping;

import pizza.service.ServiceException; 


public class PresentationUtils {
	
	public static void printOrderStatus(List<PizzaOrder> report, PrintStream out)
	{
		for (PizzaOrder order: report) {
			out.println("----------Order Status--------------");
			out.println(order.getStatusString());
			out.print("Order's Toppings: ");
			for (Topping t: order.getToppings()) {
				out.print(t.getToppingName()+ " ");
			}
			out.print("\nOrder's Size: ");
			out.println(order.getPizzaSize().getSizeName());
			out.println("-------------------------------------");
			}
	}

	public static void printReport(List<PizzaOrder> report, PrintStream out) throws ServiceException 
	{
		for (PizzaOrder order: report) {
			out.println(order);
			out.println("---------------------");
		}
	}
	// super-simple prompted input from user
	public static String readEntry(BufferedReader in, String prompt) throws IOException {
		System.out.print(prompt + ":");
		return in.readLine().trim();
	}
	
}
